Page MenuHomePhabricator

Close and open the dropdown filter menus when a user clicks on the Active Filter Area
Closed, ResolvedPublic

Description

Clicking on the Active Filter Area (outside of any active filter tags) currently opens the dropdown filter menu. Clicking again to close the menu is a logical behavior. Please make it so that this functionality toggles: if the panel is closed, clicking will open it; if it is open, clicking will close it.

(Although a user had requested that clicking in the search bar would similarly close the menu, this was judged inadvisable because that area is also used for searching.)

Details

Related Gerrit Patches:
mediawiki/core : masterMake filter area togglable

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript

I think one of the main points of confusion is captured in this part of the comment:

clicking on the background of the „active filters“ box or even the white space above it (the part that isn’t scrolled away) doesn’t close it.

Clicking the active filters area should open the filters menu if it is closed, and close it when it is open. This toggle behaviour was supported in the prototype so you can give it a try for more clarity.

Etonkovidova added a subscriber: Etonkovidova.EditedSep 28 2017, 7:51 PM

There are several good points about the prototype that have not been implemented yet (besides the issue mentioned above).

(1) In the prototype, the text entered by a user for filter searching will be discarded when the filter search area closed or a filter selection is made.
(2) The "jumpiness" is much less in the protoype - the UI does not try to accommodate a short list of results or a long list of results. The page stays still independently of the size of the list of results.

jmatazzoni added a subscriber: jmatazzoni.

This is logical behavior and Pau supports it. I’d like to do it if we can. Is it an easy change to make? @Mooeypoo?

jmatazzoni renamed this task from Close the filter dropdown menu when you click in the search bar to Close and open the dropdown filter menus when a user clicks on the Active Filter Area.Oct 25 2017, 6:40 AM
jmatazzoni updated the task description. (Show Details)

Change 387848 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Make filter area togglable

https://gerrit.wikimedia.org/r/387848

Submitted patch for this ticket also solves issue visualized in the following gif


Steps to reproduce:

  1. Click on search bar to open filters menu
  2. Head towards browser scrollbar and click on it (drag if you want to scroll without mouse wheel)
    • Search input retains focus state
  3. Click again on search bar
    • Menu is NOT appearing
  4. Click on filter area, which is one way to recover from the buggy state
    • Other way may be clicking outside to lose focus state and clicking again on search area to open menu

Change 387848 merged by jenkins-bot:
[mediawiki/core@master] Make filter area togglable

https://gerrit.wikimedia.org/r/387848

Checked in betalabs - the main issue: "[...] functionality toggles: if the panel is closed, clicking will open it; if it is open, clicking will close it." is fixed

@Pginer-WMF - it's a small issue, but can you provide some feedback on the following? See the screen recording above? I am not sure if loosing focus in the filter search area is a desirable behavior. You can see the current state in betalabs.

Fix inaccessible menu when user clicks on browser scrollbar while dropdown filter menu is visible.

Checked in betalabs - the main issue: "[...] functionality toggles: if the panel is closed, clicking will open it; if it is open, clicking will close it." is fixed
@Pginer-WMF - it's a small issue, but can you provide some feedback on the following? See the screen recording above? I am not sure if loosing focus in the filter search area is a desirable behavior. You can see the current state in betalabs.

Fix inaccessible menu when user clicks on browser scrollbar while dropdown filter menu is visible.

The status on beta looks good to me. The input focus and the panel are being shown or hidden together, and the "active filters" area toggles such status as expected.

Thx, @Pginer-WMF. Closing the ticket.

Etonkovidova closed this task as Resolved.Nov 6 2017, 3:52 PM